Agents
Set transfer targets
Replace all transfer targets on an agent. This is a full replacement — any existing targets not included in the request will be removed. Supports both agent-to-agent transfers (AI persona swap) and phone number transfers (cold or warm).
Authorization<token>
API key in the format: Bearer YOUR_API_KEY
In: header
Path Parameters
idstring
Agent ID
Format
uuidtransferTargets
Complete list of transfer targets. This replaces all existing targets.
Response Body
application/json
application/json
application/json
curl -X PUT "https://api.chorus-ai.co/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/transfer-targets" \ -H "Content-Type: application/json" \ -d '{ "transferTargets": [ { "type": "agent", "targetAgentId": "3c3fbf7a-16c0-4680-876b-31293e797760" } ] }'{
"success": true
}{
"error": "string",
"details": [
{}
]
}{
"error": "string",
"details": [
{}
]
}Last updated on